!===============================================================================
!
! module_rhmc.F90 - program for RHMC
!
!-------------------------------------------------------------------------------
!
! Copyright (C) 2006-2007 Yoshifumi Nakamura
!
! This file is part of BQCD -- Berlin Quantum ChromoDynamics program
!
! BQCD is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
!
! BQCD is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with BQCD.  If not, see <http://www.gnu.org/licenses/>.
!
!-------------------------------------------------------------------------------
# include "defs.h"

!-------------------------------------------------------------------------------
module module_rhmc
  implicit none

  type rational_approx
     integer                      :: shift, shift_exact
     REAL                         :: min_rhmc, max_rhmc, exponents(2), margin_factor
     integer,dimension(:),pointer :: time_switch         ! like 1/2, 1/4
     REAL,dimension(:),pointer    :: abar,bbar
     REAL,dimension(:),pointer    :: abar_exact_m,bbar_exact_m
     REAL,dimension(:),pointer    :: abar_exact_p,bbar_exact_p
  end type

  type(rational_approx), save :: ratapp(0:10)

  REAL,dimension(:),pointer, save :: relax

end

!===============================================================================
